import { useContext } from "react";
import { DialogStateContext } from "./DialogStateProvider";

export function useDialogMute(dialog_id: string) {
    const context = useContext(DialogStateContext);
    if(!context){
        throw new Error("useDialogState must be used within a DialogStateProvider");
    }

    const isMuted = context.muted.includes(dialog_id);
    return {
        isMuted,
        muteToggle: context.muteToggle
    }
}